Package com.independentsoft.graph.mails

# Enum Class MailTipsType

java.lang.Object
java.lang.Enum<MailTipsType>
com.independentsoft.graph.mails.MailTipsType

All Implemented Interfaces:
  `Serializable`, `Comparable<MailTipsType>`, `Constable`

public enum MailTipsType extends Enum<MailTipsType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTOMATIC_REPLIES`
  `CUSTOM_MAIL_TIP`
  `DELIVERY_RESTRICTION`
  `EXTERNAL_MEMBER_COUNT`
  `MAILBOX_FULL_STATUS`
  `MAX_MESSAGE_SIZE`
  `MODERATION_STATUS`
  `RECIPIENT_SCOPE`
  `RECIPIENT_SUGGESTIONS`
  `TOTAL_MEMBER_COUNT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MailTipsType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MailTipsType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTOMATIC_REPLIES

    public static final MailTipsType AUTOMATIC_REPLIES

  - ### MAILBOX_FULL_STATUS

    public static final MailTipsType MAILBOX_FULL_STATUS

  - ### CUSTOM_MAIL_TIP

    public static final MailTipsType CUSTOM_MAIL_TIP

  - ### DELIVERY_RESTRICTION

    public static final MailTipsType DELIVERY_RESTRICTION

  - ### EXTERNAL_MEMBER_COUNT

    public static final MailTipsType EXTERNAL_MEMBER_COUNT

  - ### MAX_MESSAGE_SIZE

    public static final MailTipsType MAX_MESSAGE_SIZE

  - ### MODERATION_STATUS

    public static final MailTipsType MODERATION_STATUS

  - ### RECIPIENT_SCOPE

    public static final MailTipsType RECIPIENT_SCOPE

  - ### RECIPIENT_SUGGESTIONS

    public static final MailTipsType RECIPIENT_SUGGESTIONS

  - ### TOTAL_MEMBER_COUNT

    public static final MailTipsType TOTAL_MEMBER_COUNT

- ## Method Details

  - ### values

    public static MailTipsType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MailTipsType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null